﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ElectricLocomotive
{
    public class EntityElectricLocomotive
    {
        public int Speed { get; private set; }
        public double Weight { get; private set; }
        public Color BodyColor { get; private set; }
        public Color AdditionalColor { get; private set; }
        public bool Horns { get; private set; }
        public bool Seifbatteries { get; private set; }
        public double Step => (double)Speed * 100 / Weight;
        public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool horns, bool seifbatteries)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Horns = horns;
            Seifbatteries = seifbatteries;
        }

    }
}
